Bug 671420 - Review Request: trytond-party - party for Tryton
Summary: Review Request: trytond-party - party for Tryton
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-21 14:22 UTC by Dan Horák
Modified: 2011-01-31 10:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-31 10:25:32 UTC
Type: ---
tla: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Dan Horák 2011-01-21 14:22:07 UTC
SRPM URL: http://fedora.danny.cz/tryton/modules/trytond-party-1.8.0-3.fc15.src.rpm
Spec URL: http://fedora.danny.cz/tryton/modules/trytond-party.spec

Description: party module for Tryton application platform

Comment 1 Tim Lauridsen 2011-01-26 07:23:52 UTC
I will review this bug

Comment 2 Tim Lauridsen 2011-01-26 07:23:58 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated


Common part from all trytond-xxxx packages

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines. [1]
[x]  Spec file name must match the base package %{name}, in the format
%{name}.spec.
[x]  Spec file is legible and written in American English.
[x]  Spec file lacks Packager, Vendor, PreReq tags.
[x]  Spec uses macros instead of hard-coded directory names.
[x]  Package consistently uses macros.
[x]  Macros in Summary, %description expandable at SRPM build time.
[x]  PreReq is not used.
[x]  All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines. [2]
[x]  Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)).
[x]  Package run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) and the beginning of
%install.
[x]  Package use %makeinstall only when ``make install DESTDIR=...'' doesn't
work.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
[-]  The spec file handles locales properly.
[x]  Changelog in prescribed format.
[x]  License field in the package spec file matches the actual license.
[x]  If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
[-]  License file installed when any subpackage combination is installed.
[x]  Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
[3,4]
[x]  Sources contain only permissible code or content.
[-]  Compiler flags are appropriate.
[-]  %build honors applicable compiler flags or justifies otherwise.
[-]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[x]  Package does not own files or directories owned by other packages.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Each %files section contains %defattr.
[x]  No %config files under /usr.
[-]  %config files are marked noreplace or the reason is justified.
[-]  Package contains a properly installed %{name}.desktop using
desktop-file-install file if it is a GUI application. [5]
[-]  Package contains a valid .desktop file.
[x]  Package contains code, or permissable content.
[-]  Package contains a SysV-style init script if in need of one.
[x]  File names are valid UTF-8.
[-]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[x]  Package contains no bundled libraries.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -static subpackage, if present.
[x]  Package contains no static executables.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[x]  Package does not contain any libtool archives (.la).
[x]  Useful -debuginfo package or justification otherwise.
[x]  Rpath absent or only used for internal libs.
[x]  Package does not genrate any conflict.
[x]  Package does not contains kernel modules.
[x]  Package is not relocatable.

[x]  Package is not known to require ExcludeArch.
[x]  Package obeys FHS, except libexecdir and /usr/target.
[x]  Package meets the Packaging Guidelines. [6]

=== SUGGESTED ITEMS ===
[?]  Package functions as described.
[x]  Latest version is packaged.
[x]  Package does not include license text files separate from upstream.
[-]  If the source package does not include license text(s) as a separate file
from upstream, the packager SHOULD query upstream to include it.
[!]  Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
[x]  SourceX is a working URL.
[x]  SourceX / PatchY prefixed with %{name}.
[?]  Final provides and requires are sane (rpm -q --provides and rpm -q
--requires).
[!]  %check is present and all tests pass.
[-]  Usually, subpackages other than devel should require the base package
using a fully versioned dependency.
[?]  Reviewer should test that the package builds in mock.
[?]  Package should compile and build into binary rpms on all supported
architectures.
[x]  Dist tag is present.
[x]  Spec use %global instead of %define.
[-]  Scriptlets must be sane, if used.
[-]  The placement of pkgconfig(.pc) files are correct.
[-]  No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[?]  Packages should try to preserve timestamps of original installed files.
[-]  File based requires are sane.
[-]  Man pages included for all executables.
[?]  Uses parallel make.
[-]  Patches link to upstream bugs/comments/lists or are otherwise justified.

[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
[2] https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2 
[3] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
[4] https://fedoraproject.org/wiki/Licensing:Main
[5] https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files
[6] https://fedoraproject.org/wiki/Packaging:Guidelines

Comment 3 Tim Lauridsen 2011-01-26 07:24:09 UTC
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
     MD5SUM this package     : 134c10a696659daf445a6924e538014c
     MD5SUM upstream package : 134c10a696659daf445a6924e538014c
[x]  Package successfully compiles and builds into binary rpms on at least one supported architecture.
rpmlint (srpm) : trytond-party-1.8.0-3.fc15.src.rpm
---------------------------------------------------------------------------
trytond-party.src: W: summary-not-capitalized C party module for Tryton
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

---------------------------------------------------------------------------
rpmlint  : trytond-party-1.8.0-3.fc14.noarch.rpm
---------------------------------------------------------------------------
trytond-party.noarch: W: summary-not-capitalized C party module for Tryton
trytond-party.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/trytond/modules/party/tests/test_party.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

---------------------------------------------------------------------------

Comment 4 Tim Lauridsen 2011-01-26 07:26:35 UTC
No issues

** APPROVED **

Comment 5 Dan Horák 2011-01-26 16:33:18 UTC
New Package SCM Request
=======================
Package Name: trytond-party
Short Description: party module for Tryton
Owners: sharkcz heffer
Branches: f13 f14 el5 el6

Comment 6 Jason Tibbitts 2011-01-26 18:27:20 UTC
Git done (by process-git-requests).

Comment 7 Dan Horák 2011-01-31 10:25:32 UTC
imported and built


Note You need to log in before you can comment on or make changes to this bug.